'use strict';

// const _ = require('lodash');
const meta = require('./.dock.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 公共聊天表管理
class DockController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.dock;
  }

  // GET
  // 查询
  async myapply() {
    const res = await this.service.myapply(this.ctx.query);
    this.ctx.ok({ ...res });
  }

  async updatevipuser() {
    const res = await this.service.updatevipuser(this.ctx.params, this.ctx.request.body);
    this.ctx.ok({ ...res });
  }

  async createvipuser() {
    const res = await this.service.createvipuser(this.ctx.params, this.ctx.request.body);
    this.ctx.ok({ ...res });
  }
}

module.exports = CrudController(DockController, meta);
